package io.reisub.dreambot.cwintertodt.tasks;

import io.reisub.dreambot.util.CInventory;
import io.reisub.dreambot.util.Constants;
import io.reisub.dreambot.util.Util;
import org.dreambot.api.methods.Calculations;
import org.dreambot.api.script.TaskNode;

public class Fletch extends TaskNode {

    private WintertodtTask parent;

    public Fletch(WintertodtTask parent) {
        this.parent = parent;
    }

    @Override
    public boolean accept() {
        return parent.getRootCount() > 0 && !parent.shouldBurnBeforeRunningOutOfTime() && !parent.isBurning();
    }

    @Override
    public int execute() {
        parent.setInterrupted(false);

        CInventory.useOnNearest(Constants.KNIFE, Constants.BRUMA_ROOT);

        Util.sleepUntilAnimating();

        return Calculations.random(200, 300);
    }
}
