package io.reisub.dreambot.util;

public class Constants {
    public static final String AUTHOR = "ChaosEnergy";

    // Items/GameObjects/NPCs
    public static final String KITTEN = "Kitten";
    public static final String KITTEN_INVENTORY = "Pet kitten";
    public static final String CAT = "Cat";
    public static final String[] KITTEN_FISH_NAMES = new String[]{
            "Shrimp",
            "Sardine",
            "Karambwanji",
            "Herring",
            "Anchovies",
            "Mackerel",
            "Trout",
            "Cod",
            "Pike",
            "Slimy eel",
            "Salmon",
            "Tuna",
            "Rainbow fish",
            "Cave eel",
            "Lobster",
            "Fish chunks",
            "Bass",
            "Roe",
            "Caviar",
            "Swordfish",
            "Lava eel",
            "Monkfish",
            "Karambwan",
            "Shark",
            "Manta ray",
            "Anglerfish",
            "Dark crab"
    };
    public static final String[] BARBARIAN_FISH_NAMES = new String[]{
            "Leaping sturgeon",
            "Leaping salmon",
            "Leaping trout",
    };
    public static final String FISHING_SPOT = "Fishing spot";
    public static final String KNIFE = "Knife";
    public static final String BRUMA_ROOT = "Bruma root";
    public static final String BRUMA_KINDLING = "Bruma kindling";
    public static final String BRUMA_ROOTS = "Bruma roots";
    public static final String BRAZIER = "Brazier";
    public static final String BURNING_BRAZIER = "Burning brazier";
    public static final String MARK_OF_GRACE = "Mark of grace";
    public static final String LUNDAIL = "Lundail";
    public static final String COSMIC_RUNE = "Cosmic rune";
    public static final String NATURE_RUNE = "Nature rune";

    // Actions
    public static final String USE = "Use";
    public static final String USE_ROD = "Use-rod";
    public static final String INTERACT = "Interact";
    public static final String PICK_UP = "Pick-up";
    public static final String FEED = "Feed";
    public static final String CHOP = "Chop";
    public static final String EAT = "Eat";
    public static final String DRINK = "Drink";
    public static final String LIGHT = "Light";
    public static final String FIX = "Fix";
    public static final String TRADE = "Trade";

    // Messages
    public static final String KITTEN_WANTS_ATTENTION_MSG = "Your kitten wants attention.";
    public static final String KITTEN_IS_HUNGRY_MSG = "Your kitten is hungry.";
    public static final String KITTEN_WAS_STROKED_MSG = "You softly stroke your cat.";
    public static final String KITTEN_HAS_EATEN_MSG = "The kitten gobbles up the fish.";
    public static final String WINTERTODT_COLD = "The cold of the Wintertodt";
    public static final String WINTERTODT_FREEZING_ATTACK = "The freezing cold attack";
    public static final String WINTERTODT_RETURNS_IN = "The Wintertodt returns in";

    // Dialog options
    public static final String STROKE = "Stroke";
}
