package io.reisub.dreambot.cfisher;

import io.reisub.dreambot.cfisher.tasks.Drop;
import io.reisub.dreambot.cfisher.tasks.Fish;
import io.reisub.dreambot.util.Constants;
import io.reisub.dreambot.util.randomevents.GenieSolver;
import io.reisub.dreambot.util.tasks.kitten.KittenTask;
import org.dreambot.api.script.Category;
import org.dreambot.api.script.ScriptManifest;
import org.dreambot.api.script.TaskNode;
import org.dreambot.api.script.impl.TaskScript;

@SuppressWarnings("unused")
@ScriptManifest(name = "CFisher", description = "Fisher", author = Constants.AUTHOR,
        version = 1.0, category = Category.FISHING, image = "")
public class CFisher extends TaskScript {
    @Override
    public void onStart() {
        getRandomManager().registerSolver(new GenieSolver(GenieSolver.Skill.HERBLORE));

        TaskNode kittenTask = KittenTask.createKittenTask();
        if (kittenTask != null) {
            addNodes(kittenTask);
        }

        String[] fishNames = Constants.BARBARIAN_FISH_NAMES;

        addNodes(new Drop(fishNames), new Fish(fishNames));
    }
}
