package io.reisub.dreambot.util.tasks.kitten;

import io.reisub.dreambot.util.CNPC;
import io.reisub.dreambot.util.Constants;
import org.dreambot.api.methods.Calculations;
import org.dreambot.api.methods.MethodContext;
import org.dreambot.api.methods.container.impl.Inventory;
import org.dreambot.api.script.TaskNode;
import org.dreambot.api.wrappers.interactive.NPC;

public class PickupCat extends TaskNode {
    @Override
    public boolean accept() {
        NPC cat = CNPC.getNPCInteractingWithPlayer(Constants.CAT);

        return cat != null && !Inventory.isFull();
    }

    @Override
    public int execute() {
        NPC cat = CNPC.getNPCInteractingWithPlayer(Constants.CAT);

        if (cat == null) return 0;

        cat.interact(Constants.PICK_UP);

        MethodContext.sleepUntil(() -> Inventory.contains(Constants.CAT), Calculations.random(3000, 3500));

        return Calculations.random(250, 400);
    }
}
